import { Component, OnInit } from '@angular/core';

@Component({
  selector: 'app-model-simulator-page',
  templateUrl: './model-simulator-page.component.html',
  styleUrls: ['./model-simulator-page.component.css'],
})
export class ModelSimulatorPageComponent implements OnInit {
  phases;

  constructor() {}

  ngOnInit(): void {
    this.phases = [
      {
        valid: true,
        type: 'info',
        content:
          "Welcome! You are a junior hacker, who only recently entered the top-secret school of a legendary master hacker, preceded by incredible legends. Today is your first day of field training, and the master will take you to one of his favorite workplaces -- a crowded urban settlement. What makes such a common place really special? A lot of people without the knowledge of information security basics, with dozens of unsecured routers and default passwords, which invite you to visit their local networks.\nYou are in a car at the urban settlement parking lot. The master brought his laptop with Kali Linux that, together with his advice, you can use in today's outdoor training. The main goal of today's training is simple: to steal anything that can be valuable.",
        id: 110,
        title: 'Introductory info',
        order: 0,
      },
      {
        valid: true,
        questions: [
          {
            valid: true,
            id: 113,
            order: 0,
            text: 'What is your level of skill in using the msfconsole interface?',
            choices: [
              {
                id: 96,
                order: 0,
                text: 'None',
                correct: false,
              },
              {
                id: 97,
                order: 1,
                text: 'Low',
                correct: false,
              },
              {
                id: 98,
                order: 2,
                text: 'Medium',
                correct: true,
              },
              {
                id: 99,
                order: 3,
                text: 'High',
                correct: true,
              },
            ],
            questionType: 'RFQ',
          },
          {
            valid: true,
            id: 114,
            order: 1,
            text: 'What is your level of skill in using WinSCP?',
            choices: [
              {
                id: 100,
                order: 0,
                text: 'None',
                correct: false,
              },
              {
                id: 101,
                order: 1,
                text: 'Low',
                correct: false,
              },
              {
                id: 102,
                order: 2,
                text: 'Medium',
                correct: true,
              },
              {
                id: 103,
                order: 3,
                text: 'High',
                correct: true,
              },
            ],
            questionType: 'RFQ',
          },
          {
            valid: true,
            id: 115,
            order: 2,
            text: 'What is your level of skill in building Java projects using Maven?',
            choices: [
              {
                id: 104,
                order: 0,
                text: 'None',
                correct: false,
              },
              {
                id: 105,
                order: 1,
                text: 'Low',
                correct: false,
              },
              {
                id: 106,
                order: 2,
                text: 'Medium',
                correct: true,
              },
              {
                id: 107,
                order: 3,
                text: 'High',
                correct: true,
              },
            ],
            questionType: 'RFQ',
          },
          {
            valid: true,
            id: 116,
            order: 3,
            text: 'What is your level of skill in zip and unzip files in CLI?',
            choices: [
              {
                id: 108,
                order: 0,
                text: 'None',
                correct: false,
              },
              {
                id: 109,
                order: 1,
                text: 'Low',
                correct: false,
              },
              {
                id: 110,
                order: 2,
                text: 'Medium',
                correct: true,
              },
              {
                id: 111,
                order: 3,
                text: 'High',
                correct: true,
              },
            ],
            questionType: 'RFQ',
          },
          {
            valid: true,
            id: 117,
            order: 4,
            text: 'What is your level of skill in downloading and transferring files into the server?',
            choices: [
              {
                id: 112,
                order: 0,
                text: 'None',
                correct: false,
              },
              {
                id: 113,
                order: 1,
                text: 'Low',
                correct: false,
              },
              {
                id: 114,
                order: 2,
                text: 'Medium',
                correct: true,
              },
              {
                id: 115,
                order: 3,
                text: 'High',
                correct: true,
              },
            ],
            questionType: 'RFQ',
          },
          {
            valid: true,
            id: 112,
            order: 5,
            text: 'What is your level of skill in connection to the server securely?',
            choices: [
              {
                id: 92,
                order: 0,
                text: 'None',
                correct: false,
              },
              {
                id: 93,
                order: 1,
                text: 'Low',
                correct: false,
              },
              {
                id: 94,
                order: 2,
                text: 'Medium',
                correct: true,
              },
              {
                id: 95,
                order: 3,
                text: 'High',
                correct: true,
              },
            ],
            questionType: 'RFQ',
          },
          {
            valid: true,
            id: 111,
            order: 6,
            text: 'What is your level of skill in looking for opened ports?',
            choices: [
              {
                id: 88,
                order: 0,
                text: 'None',
                correct: false,
              },
              {
                id: 89,
                order: 1,
                text: 'Low',
                correct: false,
              },
              {
                id: 90,
                order: 2,
                text: 'Medium',
                correct: true,
              },
              {
                id: 91,
                order: 3,
                text: 'High',
                correct: true,
              },
            ],
            questionType: 'RFQ',
          },
          {
            valid: true,
            id: 110,
            order: 7,
            text: 'What is your level of skill in using basic Linux commands?',
            choices: [
              {
                id: 84,
                order: 0,
                text: 'None',
                correct: false,
              },
              {
                id: 85,
                order: 1,
                text: 'Low',
                correct: false,
              },
              {
                id: 86,
                order: 2,
                text: 'Medium',
                correct: true,
              },
              {
                id: 87,
                order: 3,
                text: 'High',
                correct: true,
              },
            ],
            questionType: 'RFQ',
          },
        ],
        type: 'questionnaire',
        questionnaireType: 'adaptive',
        phaseRelations: [
          {
            id: 52,
            order: 0,
            successRate: 100,
            phaseId: 112,
            questionIds: [110],
          },
          {
            id: 53,
            order: 1,
            successRate: 100,
            phaseId: 113,
            questionIds: [111],
          },
          {
            id: 54,
            order: 2,
            successRate: 100,
            phaseId: 114,
            questionIds: [112],
          },
          {
            id: 55,
            order: 3,
            successRate: 100,
            phaseId: 115,
            questionIds: [112],
          },
          {
            id: 56,
            order: 4,
            successRate: 100,
            phaseId: 116,
            questionIds: [110],
          },
        ],
        id: 117,
        title: 'Pre-game assessment',
        order: 1,
      },
      {
        valid: true,
        type: 'training',
        allowedCommands: 3,
        allowedWrongAnswers: 5,
        estimatedDuration: 10,
        decisionMatrix: [
          {
            questionnaireAnswered: 0,
            wrongAnswers: 0,
            solutionDisplayed: 0,
            keywordUsed: 0,
            completedInTime: 0,
            id: 73,
            order: 0,
          },
        ],
        tasks: [
          {
            valid: true,
            id: 68,
            title: 'Get SSH access and check GUI access',
            order: 0,
            type: 'task',
            answer: 'start',
            content:
              "To start the exercise, let's set up SSH or console access to your machine in the KYPO Cyber Range Platform. \n\nYou have two options for connecting to your virtual machine: (a) SSH client, (b) console in a web user interface.\n\n(a) For accessing using your local command-line SSH client, click on “Get SSH Config” in the web portal in the topology view, download the .zip file. \n\nDecompress it into `~/.ssh/` folder (if `~/.ssh` folder is not provided, create one).\n\nSteps for Linux OS:\n\n* `unzip ssh-access.zip -d ~/.ssh/`\n\n\nSteps for Windows OS:\n* Prerequisite: Download and install the `Git bash` tool (if installed skip this step).\n* Open `Git bash` at the location where the `ssh-access.zip` file is downloaded.\n  * Enter command: `unzip ssh-access.zip -d ~/.ssh/`\n\n\nConnect to any virtual machine specified in the SSH configuration file (e.g., the attacker):  \n  * `ssh -F ~/.ssh/pool-id-ID-sandbox-id-ID-user-config kali@attacker` \n  * Change the ID with the IDs on the file you downloaded\n  * Then use `su root`\n\nThe full tutorial is available in the [KYPO documentation](https://docs.crp.kypo.muni.cz/user-guide-advanced/sandboxes/sandbox-access/#user-access).\n\n(b) Connect to your virtual machine using a web console:\n* Right-click on the attacker node and select Open console\n* The login screen appears\n\n* Log in to the console using these credentials: \n  * Username: root\n  * Password: toor\n* If the login screen appears again, log in again.\n \n* [VM manipulation tutorial](https://docs.crp.kypo.muni.cz/user-guide-basic/training-agenda/training-run/adaptive-training-run/#vm-manipulation)\n\nIf you use a display with lower resolution, the screen of a virtual machine might be greater than you can see. In this case, go to the main menu in the top left corner of your attacker machine, then `Settings` and `Display` and set a lower resolution.\n\nFor this session, we strongly recommend setting up and using an SSH connection (not only the web console).\n\nWhen you are sure that you can connect to the attacker machine, submit `start` to proceed to the first training phase.\n\n**Do not enter the following answer before you have set up your access.**",
            incorrectAnswerLimit: 3,
            solution: 'The correct answer is `start`.',
            modifySandbox: false,
          },
        ],
        mitreTechniques: [],
        expectedCommands: [],
        id: 111,
        title: 'Get SSH access and check GUI access',
        order: 2,
      },
      {
        valid: true,
        type: 'training',
        allowedCommands: 10,
        allowedWrongAnswers: 5,
        estimatedDuration: 3,
        decisionMatrix: [
          {
            questionnaireAnswered: 0,
            wrongAnswers: 0,
            solutionDisplayed: 0,
            keywordUsed: 0,
            completedInTime: 0,
            id: 74,
            order: 0,
          },
          {
            questionnaireAnswered: 1,
            wrongAnswers: 0,
            solutionDisplayed: 0,
            keywordUsed: 0,
            completedInTime: 0,
            id: 75,
            order: 1,
          },
        ],
        tasks: [
          {
            valid: true,
            id: 69,
            title: 'Getting to know the environment',
            order: 0,
            type: 'task',
            answer: 'wordlist.txt',
            content:
              'The master handed you a laptop, saying to you:\n*"You studied hard in the past weeks. Now, you are ready for real-world hacking training, but you need the right equipment. In today\'s lecture, I will teach you using Kali Linux and show you some of its basic functionality, which will make hacking easier."*\n\nFirst, get acquainted with the **command line** at your **Kali Linux**, the most popular Linux distribution for penetration testing. Or hacking? :-)\nLog in as the user **root** with the password **toor**. Open **Terminal** (Terminal Emulator in the main menu) and look around your home directory `/root`. You will need this skill when you hack into another Linux machine."\nThe answer for this task is the **name of the single file** stored in a non-empty directory in your home directory.',
            incorrectAnswerLimit: 5,
            solution: '```\nroot@attacker:~# ls /root/hacking\nwordlist.txt\n```',
            modifySandbox: false,
          },
          {
            valid: true,
            id: 70,
            title: 'Getting to know the environment',
            order: 1,
            type: 'task',
            answer: 'wordlist.txt',
            content:
              'The master handed you a laptop, saying to you:\n*"You studied hard in the past weeks. Now, you are ready for real-world hacking training, but you need the right equipment. In today\'s lecture, I will teach you using Kali Linux and show you some of its basic functionality, which will make hacking easier."*\n\nFirst, get acquainted with the **command line** at your **Kali Linux**, the most popular Linux distribution for penetration testing. Or hacking? :-)\nLog in as the user **root** with the password **toor**. Open **Terminal** (Terminal Emulator in the main menu) and look around your home directory `/root`. You will need this skill when you hack into another Linux machine."\nThe answer for this task is the **name of the single file** stored in a non-empty directory in your home directory.\n\nUse `ls`. If you want to change the directory, use `cd`. Your home folder is located in `/root` directory.',
            incorrectAnswerLimit: 5,
            solution: '```\nroot@attacker:~# ls /root/hacking\nwordlist.txt\n```',
            modifySandbox: false,
          },
          {
            valid: true,
            id: 71,
            title: 'Getting to know the environment',
            order: 2,
            type: 'task',
            answer: 'wordlist.txt',
            content:
              'The master handed you a laptop, saying to you:\n*"You studied hard in the past weeks. Now, you are ready for real-world hacking training, but you need the right equipment. In today\'s lecture, I will teach you using Kali Linux and show you some of its basic functionality, which will make hacking easier."*\n\nFirst, get acquainted with the **command line** at your **Kali Linux**, the most popular Linux distribution for penetration testing. Or hacking? :-)\nLog in as the user **root** with the password **toor**. Open **Terminal** (Terminal Emulator in the main menu) and look around your home directory `/root`. You will need this skill when you hack into another Linux machine."\nThe answer for this task is the **name of the single file** stored in a non-empty directory in your home directory.\n\nUse `ls`. If you want to change the directory, use `cd`. Your home folder is located in `/root` directory.',
            incorrectAnswerLimit: 5,
            solution: '```\nroot@attacker:~# ls /root/hacking\nwordlist.txt\n```',
            modifySandbox: false,
          },
        ],
        mitreTechniques: [],
        expectedCommands: [],
        id: 112,
        title: 'Getting to know the environment',
        order: 3,
      },
      {
        valid: true,
        type: 'training',
        allowedCommands: 10,
        allowedWrongAnswers: 5,
        estimatedDuration: 5,
        decisionMatrix: [
          {
            questionnaireAnswered: 0,
            wrongAnswers: 0,
            solutionDisplayed: 0,
            keywordUsed: 0,
            completedInTime: 0,
            id: 76,
            order: 0,
          },
          {
            questionnaireAnswered: 0,
            wrongAnswers: 0,
            solutionDisplayed: 1,
            keywordUsed: 1,
            completedInTime: 1,
            id: 77,
            order: 1,
          },
          {
            questionnaireAnswered: 1,
            wrongAnswers: 0,
            solutionDisplayed: 0,
            keywordUsed: 0,
            completedInTime: 0,
            id: 78,
            order: 2,
          },
        ],
        tasks: [
          {
            valid: true,
            id: 72,
            title: 'Looking for server’s IP address',
            order: 0,
            type: 'task',
            answer: '2049',
            content:
              "You already managed to guess the password on a Wi-Fi router with the master's help (**12345678**, really?!), so now you are already connected to the local network of one household.\n\nThe address space of your local network is **10.1.26.0/24**. \n\nThe master told you that your goal is to gain access to the server. **Scan the network** and recognize the server's **IP address**. You can recognize the server by its **running services**.\n\nThe server you are searching for has **more open ports** than other machines in the network.\n\nThe answer is the **port number** on which the **file sharing service** is running on the server's machine.",
            incorrectAnswerLimit: 5,
            solution: '```\nroot@attacker:~# nmap 10.1.26.0/24\n\n2049/tcp open  nfs\n\n2049\n```',
            modifySandbox: false,
          },
          {
            valid: true,
            id: 73,
            title: 'Looking for server’s IP address',
            order: 1,
            type: 'task',
            answer: '2049',
            content:
              "You already managed to guess the password on a Wi-Fi router with the master's help (**12345678**, really?!), so now you are already connected to the local network of one household.\n\nThe address space of your local network is **10.1.26.0/24**. \n\nThe master told you that your goal is to gain access to the server. **Scan the network** and recognize the server's **IP address**. You can recognize the server by its **running services**.\n\nThe server you are searching for has **more open ports** than other machines in the network.\n\nThe answer is the **port number** on which the **file sharing service** is running on the server's machine.\n\nUse the command-line tool `nmap`. If you can't figure out how to use the tool, call it with the suffix `--help` to get detailed instructions, consult its manual page `man nmap`, or use your favourite search engine.\n\n",
            incorrectAnswerLimit: 5,
            solution: '```\nroot@attacker:~# nmap 10.1.26.0/24\n\n2049/tcp open  nfs\n\n2049\n```',
            modifySandbox: false,
          },
          {
            valid: true,
            id: 74,
            title: 'Looking for server’s IP address',
            order: 2,
            type: 'task',
            answer: '2049',
            content:
              "You already managed to guess the password on a Wi-Fi router with the master's help (**12345678**, really?!), so now you are already connected to the local network of one household.\n\nThe address space of your local network is **10.1.26.0/24**. \n\nThe master told you that your goal is to gain access to the server. **Scan the network** and recognize the server's **IP address**. You can recognize the server by its **running services**.\n\nThe server you are searching for has **more open ports** than other machines in the network.\n\nThe answer is the **port number** on which the **file sharing service** is running on the server's machine.\n\nUse the command-line tool `nmap`. If you can't figure out how to use the tool, call it with the suffix `--help` to get detailed instructions, consult its manual page `man nmap`, or use your favourite search engine.\n\nRun `nmap 10.1.26.0/24` and see open ports in its output. Nmap scan report for `10.1.26.9` shows the most running services.",
            incorrectAnswerLimit: 5,
            solution: '```\nroot@attacker:~# nmap 10.1.26.0/24\n\n2049/tcp open  nfs\n\n2049\n```',
            modifySandbox: false,
          },
        ],
        mitreTechniques: [],
        expectedCommands: [],
        id: 113,
        title: 'Looking for server’s IP address',
        order: 4,
      },
      {
        valid: true,
        type: 'training',
        allowedCommands: 10,
        allowedWrongAnswers: 5,
        estimatedDuration: 5,
        decisionMatrix: [
          {
            questionnaireAnswered: 0,
            wrongAnswers: 0,
            solutionDisplayed: 0,
            keywordUsed: 0,
            completedInTime: 0,
            id: 79,
            order: 0,
          },
          {
            questionnaireAnswered: 0,
            wrongAnswers: 0,
            solutionDisplayed: 1,
            keywordUsed: 1,
            completedInTime: 1,
            id: 80,
            order: 1,
          },
          {
            questionnaireAnswered: 0,
            wrongAnswers: 0,
            solutionDisplayed: 1,
            keywordUsed: 0,
            completedInTime: 0,
            id: 81,
            order: 2,
          },
          {
            questionnaireAnswered: 1,
            wrongAnswers: 0,
            solutionDisplayed: 0,
            keywordUsed: 0,
            completedInTime: 0,
            id: 82,
            order: 3,
          },
        ],
        tasks: [
          {
            valid: true,
            id: 75,
            title: 'Connect to the server',
            order: 0,
            type: 'task',
            answer: 'ssh admin@10.1.26.9',
            content:
              "You know the IP address of the server. It was easy, right?\n\nNow comes the more interesting part of how to use this knowledge to your **advantage**. Connect **remotely** to the server and use **legitimate credentials**. The master told you that the login details will most likely one of these: **admin/password**, **admin/123456** or **admin/admin**. It's worth trying, isn't it?\n\nThe answer is the **entire command** for logging into the server.",
            incorrectAnswerLimit: 5,
            solution:
              "```\nroot@attacker:~# ssh admin@10.1.26.9\nAre you sure you want to continue connecting (yes/no/[fingerprint])? yes\nadmin@10.1.26.9's password: admin\n```",
            modifySandbox: false,
          },
          {
            valid: true,
            id: 76,
            title: 'Connect to the server',
            order: 1,
            type: 'task',
            answer: 'ssh admin@10.1.26.9',
            content:
              "You know the IP address of the server. It was easy, right?\n\nNow comes the more interesting part of how to use this knowledge to your **advantage**. Connect **remotely** to the server and use **legitimate credentials**. The master told you that the login details will most likely one of these: **admin/password**, **admin/123456** or **admin/admin**. It's worth trying, isn't it?\n\nThe answer is the **entire command** for logging into the server.\n\nUse the command-line tool `ssh`.\n\nThe syntax is `ssh username@hostname_or_ip`, where the part after @ is the `hostname` or IP address of the device you want to connect to.\n\n",
            incorrectAnswerLimit: 5,
            solution:
              "```\nroot@attacker:~# ssh admin@10.1.26.9\nAre you sure you want to continue connecting (yes/no/[fingerprint])? yes\nadmin@10.1.26.9's password: admin\n```",
            modifySandbox: false,
          },
          {
            valid: true,
            id: 77,
            title: 'Connect to the server',
            order: 2,
            type: 'task',
            answer: 'ssh admin@10.1.26.9',
            content:
              "You know the IP address of the server. It was easy, right?\n\nNow comes the more interesting part of how to use this knowledge to your **advantage**. Connect **remotely** to the server and use **legitimate credentials**. The master told you that the login details will most likely one of these: **admin/password**, **admin/123456** or **admin/admin**. It's worth trying, isn't it?\n\nThe answer is the **entire command** for logging into the server.\n\nUse the command-line tool `ssh`.\n\nThe syntax is `ssh username@hostname_or_ip`, where the part after @ is the `hostname` or IP address of the device you want to connect to.\n\nTry one of the master's recommendations.",
            incorrectAnswerLimit: 5,
            solution:
              "```\nroot@attacker:~# ssh admin@10.1.26.9\nAre you sure you want to continue connecting (yes/no/[fingerprint])? yes\nadmin@10.1.26.9's password: admin\n```",
            modifySandbox: false,
          },
        ],
        mitreTechniques: [],
        expectedCommands: [],
        id: 114,
        title: 'Connect to the server',
        order: 5,
      },
      {
        valid: true,
        type: 'training',
        allowedCommands: 10,
        allowedWrongAnswers: 5,
        estimatedDuration: 5,
        decisionMatrix: [
          {
            questionnaireAnswered: 0,
            wrongAnswers: 0,
            solutionDisplayed: 0,
            keywordUsed: 0,
            completedInTime: 0,
            id: 83,
            order: 0,
          },
          {
            questionnaireAnswered: 0,
            wrongAnswers: 0,
            solutionDisplayed: 1,
            keywordUsed: 0,
            completedInTime: 1,
            id: 84,
            order: 1,
          },
          {
            questionnaireAnswered: 0,
            wrongAnswers: 0,
            solutionDisplayed: 1,
            keywordUsed: 0,
            completedInTime: 1,
            id: 85,
            order: 2,
          },
          {
            questionnaireAnswered: 0,
            wrongAnswers: 1,
            solutionDisplayed: 1,
            keywordUsed: 0,
            completedInTime: 1,
            id: 86,
            order: 3,
          },
          {
            questionnaireAnswered: 1,
            wrongAnswers: 0,
            solutionDisplayed: 0,
            keywordUsed: 0,
            completedInTime: 0,
            id: 87,
            order: 4,
          },
        ],
        tasks: [
          {
            valid: true,
            id: 78,
            title: 'Find interesting files',
            order: 0,
            type: 'task',
            answer: '.invoices2019.zip',
            content:
              "You are already logged in to the server. Now is the time to find something **exciting** and ideally **compromising**, but we don't know exactly what we are looking for. However... do you still remember the **list of services** running on the server based on the **Nmap scan**? You already discovered that the server runs the **NFS** service. **NFS** protocol is used for **file sharing** and **remote access** to files over a computer network. Maybe this server is used to back up data. Try to look whether the admin's home directory stores any files. Then, copy a useful file to your attacker machine.\n\nThe answer is the **name** of the **only ZIP file** (including the extension) located somewhere in the home directory.",
            incorrectAnswerLimit: 5,
            solution:
              "```\nroot@attacker:/home# scp admin@10.1.26.9:~/personal/.invoices2019.zip .\nadmin@10.1.26.9's password: admin\n```",
            modifySandbox: false,
          },
          {
            valid: true,
            id: 79,
            title: 'Find interesting files',
            order: 1,
            type: 'task',
            answer: '.invoices2019.zip',
            content:
              "You are already logged in to the server. Now is the time to find something **exciting** and ideally **compromising**, but we don't know exactly what we are looking for. However... do you still remember the **list of services** running on the server based on the **Nmap scan**? You already discovered that the server runs the **NFS** service. **NFS** protocol is used for **file sharing** and **remote access** to files over a computer network. Maybe this server is used to back up data. Try to look whether the admin's home directory stores any files. Then, copy a useful file to your attacker machine.\n\nThe answer is the **name** of the **only ZIP file** (including the extension) located somewhere in the home directory.\n\nUse **scp** tool to copy the file.\n\nUse this syntax for copying from remote to local machine:\n`scp @: /`",
            incorrectAnswerLimit: 5,
            solution:
              "```\nroot@attacker:/home# scp admin@10.1.26.9:~/personal/.invoices2019.zip .\nadmin@10.1.26.9's password: admin\n```",
            modifySandbox: false,
          },
          {
            valid: true,
            id: 80,
            title: 'Find interesting files',
            order: 2,
            type: 'task',
            answer: '.invoices2019.zip',
            content:
              "You are already logged in to the server. Now is the time to find something **exciting** and ideally **compromising**, but we don't know exactly what we are looking for. However... do you still remember the **list of services** running on the server based on the **Nmap scan**? You already discovered that the server runs the **NFS** service. **NFS** protocol is used for **file sharing** and **remote access** to files over a computer network. Maybe this server is used to back up data. Try to look whether the admin's home directory stores any files. Then, copy a useful file to your attacker machine.\n\nThe answer is the **name** of the **only ZIP file** (including the extension) located somewhere in the home directory.\n\nUse **scp** tool to copy the file.\n\nUse this syntax for copying from remote to local machine:\n`scp @: /`\n\nList directories and files including the hidden ones in the admin's `$HOME` directory (/home/admin).",
            incorrectAnswerLimit: 5,
            solution:
              "```\nroot@attacker:/home# scp admin@10.1.26.9:~/personal/.invoices2019.zip .\nadmin@10.1.26.9's password: admin\n```",
            modifySandbox: false,
          },
        ],
        mitreTechniques: [],
        expectedCommands: [],
        id: 115,
        title: 'Find interesting files',
        order: 6,
      },
      {
        valid: true,
        type: 'training',
        allowedCommands: 10,
        allowedWrongAnswers: 5,
        estimatedDuration: 10,
        decisionMatrix: [
          {
            questionnaireAnswered: 0,
            wrongAnswers: 0,
            solutionDisplayed: 0,
            keywordUsed: 0,
            completedInTime: 0,
            id: 88,
            order: 0,
          },
          {
            questionnaireAnswered: 0,
            wrongAnswers: 1,
            solutionDisplayed: 1,
            keywordUsed: 1,
            completedInTime: 1,
            id: 89,
            order: 1,
          },
          {
            questionnaireAnswered: 0,
            wrongAnswers: 0,
            solutionDisplayed: 1,
            keywordUsed: 0,
            completedInTime: 0,
            id: 90,
            order: 2,
          },
          {
            questionnaireAnswered: 0,
            wrongAnswers: 0,
            solutionDisplayed: 1,
            keywordUsed: 0,
            completedInTime: 0,
            id: 91,
            order: 3,
          },
          {
            questionnaireAnswered: 0,
            wrongAnswers: 0,
            solutionDisplayed: 1,
            keywordUsed: 0,
            completedInTime: 0,
            id: 92,
            order: 4,
          },
          {
            questionnaireAnswered: 1,
            wrongAnswers: 0,
            solutionDisplayed: 0,
            keywordUsed: 0,
            completedInTime: 0,
            id: 93,
            order: 5,
          },
        ],
        tasks: [
          {
            valid: true,
            id: 81,
            title: 'Crack the password to the zip',
            order: 0,
            type: 'task',
            answer: 'IhateMyJob',
            content:
              "You have found out that some **accounting** company's files have been uploaded to this server. And you have a ZIP file with a promising name in **your** hands, but unfortunately, it is **password-protected**!\nThe master advised you that a password cracking tool called **fcrackzip** was installed on his Kali machine. Find out how you could break the password and reveal the content of the ZIP. Use `man fcrackzip` rather than `fcrackzip -h` for **instructions** on the tool usage.\n\nThe answer is the **password** to the ZIP.\n\n",
            incorrectAnswerLimit: 5,
            solution:
              '```\nroot@attacker:~# fcrackzip -D -u -p /root/hacking/wordlist.txt .invoices2019.zip\n\nPASSWORD FOUND!!!!: pw == IhateMyJob\n\nroot@attacker:/home# unzip .invoices2019.zip\n\nArchive:  .invoices2019.zip\n   creating: .invoices2019/\n[.invoices2019.zip] invoices2019/TAX15796252.txt password: IhateMyJob\n```',
            modifySandbox: false,
          },
          {
            valid: true,
            id: 82,
            title: 'Crack the password to the zip',
            order: 1,
            type: 'task',
            answer: 'IhateMyJob',
            content:
              "You have found out that some **accounting** company's files have been uploaded to this server. And you have a ZIP file with a promising name in **your** hands, but unfortunately, it is **password-protected**!\nThe master advised you that a password cracking tool called **fcrackzip** was installed on his Kali machine. Find out how you could break the password and reveal the content of the ZIP. Use `man fcrackzip` rather than `fcrackzip -h` for **instructions** on the tool usage.\n\nThe answer is the **password** to the ZIP.\n\nYou can perform a dictionary attack by using `-D` option of the `fcrackzip` command, but be aware that you have to use a **wordlist**. One is stored somewhere at your attacker machine.\n",
            incorrectAnswerLimit: 5,
            solution:
              '```\nroot@attacker:~# fcrackzip -D -u -p /root/hacking/wordlist.txt .invoices2019.zip\n\nPASSWORD FOUND!!!!: pw == IhateMyJob\n\nroot@attacker:/home# unzip .invoices2019.zip\n\nArchive:  .invoices2019.zip\n   creating: .invoices2019/\n[.invoices2019.zip] invoices2019/TAX15796252.txt password: IhateMyJob\n```',
            modifySandbox: false,
          },
          {
            valid: true,
            id: 83,
            title: 'Crack the password to the zip',
            order: 2,
            type: 'task',
            answer: 'IhateMyJob',
            content:
              "You have found out that some **accounting** company's files have been uploaded to this server. And you have a ZIP file with a promising name in **your** hands, but unfortunately, it is **password-protected**!\nThe master advised you that a password cracking tool called **fcrackzip** was installed on his Kali machine. Find out how you could break the password and reveal the content of the ZIP. Use `man fcrackzip` rather than `fcrackzip -h` for **instructions** on the tool usage.\n\nThe answer is the **password** to the ZIP.\n\nYou can perform a dictionary attack by using `-D` option of the `fcrackzip` command, but be aware that you have to use a **wordlist**. One is stored somewhere at your attacker machine.\n\nIn hacking directory at your Kali, where you have already discovered it.",
            incorrectAnswerLimit: 5,
            solution:
              '```\nroot@attacker:~# fcrackzip -D -u -p /root/hacking/wordlist.txt .invoices2019.zip\n\nPASSWORD FOUND!!!!: pw == IhateMyJob\n\nroot@attacker:/home# unzip .invoices2019.zip\n\nArchive:  .invoices2019.zip\n   creating: .invoices2019/\n[.invoices2019.zip] invoices2019/TAX15796252.txt password: IhateMyJob\n```',
            modifySandbox: false,
          },
        ],
        mitreTechniques: [],
        expectedCommands: [],
        id: 116,
        title: 'Crack the password to the zip',
        order: 7,
      },
      {
        valid: true,
        questions: [
          {
            valid: true,
            id: 118,
            order: 0,
            text: 'Did you feel the tasks were designed so that you can complete the training in a timely manner?',
            choices: [
              {
                id: 116,
                order: 0,
                text: 'Not at all ',
                correct: true,
              },
              {
                id: 117,
                order: 1,
                text: 'Slightly',
                correct: true,
              },
              {
                id: 118,
                order: 2,
                text: 'Moderately',
                correct: true,
              },
              {
                id: 119,
                order: 3,
                text: 'Much',
                correct: true,
              },
              {
                id: 120,
                order: 4,
                text: 'Very much',
                correct: true,
              },
            ],
            questionType: 'RFQ',
          },
          {
            valid: true,
            id: 119,
            order: 1,
            text: 'Did you feel you got stuck at some point during the training?',
            choices: [
              {
                id: 121,
                order: 0,
                text: 'Not at all',
                correct: true,
              },
              {
                id: 122,
                order: 1,
                text: 'Slightly',
                correct: true,
              },
              {
                id: 123,
                order: 2,
                text: 'Moderately',
                correct: true,
              },
              {
                id: 124,
                order: 3,
                text: 'Much',
                correct: true,
              },
              {
                id: 125,
                order: 4,
                text: 'Very much',
                correct: true,
              },
            ],
            questionType: 'RFQ',
          },
          {
            valid: true,
            id: 120,
            order: 2,
            text: 'How much did you enjoy the training?',
            choices: [
              {
                id: 126,
                order: 0,
                text: 'Not at all',
                correct: true,
              },
              {
                id: 127,
                order: 1,
                text: 'Slightly',
                correct: true,
              },
              {
                id: 128,
                order: 2,
                text: 'Moderately',
                correct: true,
              },
              {
                id: 129,
                order: 3,
                text: 'Much',
                correct: true,
              },
              {
                id: 130,
                order: 4,
                text: 'Very much',
                correct: true,
              },
            ],
            questionType: 'RFQ',
          },
          {
            valid: true,
            id: 121,
            order: 3,
            text: 'Did you feel the training should be more difficult for you?',
            choices: [
              {
                id: 131,
                order: 0,
                text: 'Not at all ',
                correct: true,
              },
              {
                id: 132,
                order: 1,
                text: 'Slightly',
                correct: true,
              },
              {
                id: 133,
                order: 2,
                text: 'Moderately',
                correct: true,
              },
              {
                id: 134,
                order: 3,
                text: 'Much',
                correct: true,
              },
              {
                id: 135,
                order: 4,
                text: 'Very much',
                correct: true,
              },
            ],
            questionType: 'RFQ',
          },
          {
            valid: true,
            id: 122,
            order: 4,
            text: 'Did you feel you would like the training to be longer with additional tasks to solve?',
            choices: [
              {
                id: 136,
                order: 0,
                text: 'Not at all ',
                correct: true,
              },
              {
                id: 137,
                order: 1,
                text: 'Slightly',
                correct: true,
              },
              {
                id: 138,
                order: 2,
                text: 'Moderately',
                correct: true,
              },
              {
                id: 139,
                order: 3,
                text: 'Much',
                correct: true,
              },
              {
                id: 140,
                order: 4,
                text: 'Very much',
                correct: true,
              },
            ],
            questionType: 'RFQ',
          },
          {
            valid: true,
            id: 123,
            order: 5,
            text: 'Would you like to play more cybersecurity training sessions like this one?',
            choices: [
              {
                id: 141,
                order: 0,
                text: 'Not at all',
                correct: true,
              },
              {
                id: 142,
                order: 1,
                text: 'Slightly',
                correct: true,
              },
              {
                id: 143,
                order: 2,
                text: 'Moderately',
                correct: true,
              },
              {
                id: 144,
                order: 3,
                text: 'Much',
                correct: true,
              },
              {
                id: 145,
                order: 4,
                text: 'Very much',
                correct: true,
              },
            ],
            questionType: 'RFQ',
          },
          {
            valid: true,
            id: 124,
            order: 6,
            text: 'Do you have other comments or notes from the training?',
            choices: [],
            questionType: 'FFQ',
          },
        ],
        type: 'questionnaire',
        questionnaireType: 'general',
        phaseRelations: [],
        id: 118,
        title: 'Post-game questionnaire',
        order: 8,
      },
    ];
  }
}
